sladiv.f(3)

NAME
sladiv.f -

SYNOPSIS

  Functions/Subroutines
subroutine sladiv (A, B, C, D, P, Q)
SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Function/Subroutine Documentation

  subroutine sladiv (realA, realB, realC, realD, realP, realQ)

SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

     SLADIV performs complex division in  real arithmetic
                           a + i*b
                p + i*q = ---------
                           c + i*d
     The algorithm is due to Robert L. Smith and can be found
     in D. Knuth, The art of Computer Programming, Vol.2, p.195

Parameters:
    A

              A is REAL

    B

              B is REAL

    C

              C is REAL

    D

              D is REAL
              The scalars a, b, c, and d in the above expression.

    P

              P is REAL

    Q

              Q is REAL
              The scalars p and q in the above expression.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 91 of file sladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.